<?xml version="1.0" encoding="UTF-8"?>
<workbench version="2.0">
<workbenchAdvisor/>
<window height="965" maximized="true" width="1148" x="-1222" y="0">
<fastViewData fastViewLocation="1024"/>
<perspectiveBar>
<itemSize x="160"/>
</perspectiveBar>
<coolbarLayout locked="0">
<coolItem id="group.file" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.ui.workbench.file" itemType="typeToolBarContribution" x="100" y="22"/>
<coolItem id="additions" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.cdt.ui.CElementCreationActionSet" itemType="typeToolBarContribution" x="162" y="22"/>
<coolItem id="org.eclipse.debug.ui.launchActionSet" itemType="typeToolBarContribution" x="126" y="22"/>
<coolItem id="org.eclipse.search.searchActionSet" itemType="typeToolBarContribution" x="64" y="22"/>
<coolItem id="org.eclipse.ui.WorkingSetActionSet" itemType="typeToolBarContribution" x="54" y="22"/>
<coolItem id="group.nav" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.ui.workbench.navigate" itemType="typeToolBarContribution" x="185" y="22"/>
<coolItem id="group.editor" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.cdt.ui.editor.CEditor" itemType="typeToolBarContribution" x="-1" y="-1"/>
<coolItem id="group.help" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.ui.workbench.help" itemType="typeToolBarContribution" x="-1" y="-1"/>
</coolbarLayout>
<page focus="true" label="Workspace - Nios II C/C++">
<editors>
<editorArea activeWorkbook="DefaultEditorWorkbook">
<info part="DefaultEditorWorkbook">
<folder appearance="1" expanded="2">
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
<part id="1"/>
<part id="2"/>
<part id="3"/>
<part id="4"/>
<part id="5"/>
<part id="6"/>
<part id="7"/>
<part id="8"/>
<part id="9"/>
<part id="10"/>
<part id="11"/>
<part id="12"/>
<part id="13"/>
<part id="14"/>
<part id="15"/>
<part id="16"/>
<part id="17"/>
</presentation>
</folder>
</info>
</editorArea>
<editor focus="true" id="org.eclipse.cdt.ui.editor.CEditor" name="main.c" partName="main.c" path="D:/NIOS_II/DE2-70/production_tool/production_tool/main.c" title="main.c" tooltip="production_tool/main.c" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/production_tool/main.c"/>
</editor>
<editor id="org.eclipse.cdt.ui.editor.CEditor" name="production_test.h" partName="production_test.h" path="D:/NIOS_II/DE2-70/production_tool/production_tool/production_test.h" title="production_test.h" tooltip="production_tool/production_test.h" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/production_tool/production_test.h"/>
</editor>
<editor id="org.eclipse.cdt.ui.editor.CEditor" name="LCD.h" partName="LCD.h" path="D:/NIOS_II/DE2-70/production_tool/production_tool/NIOS2_Common_Lib/LCD.h" title="LCD.h" tooltip="production_tool/NIOS2_Common_Lib/LCD.h" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/production_tool/NIOS2_Common_Lib/LCD.h"/>
</editor>
<editor id="org.eclipse.cdt.ui.editor.CEditor" name="my_includes.h" partName="my_includes.h" path="D:/NIOS_II/DE2-70/production_tool/production_tool/NIOS2_Common_Lib/my_includes.h" title="my_includes.h" tooltip="production_tool/NIOS2_Common_Lib/my_includes.h" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/production_tool/NIOS2_Common_Lib/my_includes.h"/>
</editor>
<editor id="org.eclipse.cdt.ui.editor.CEditor" name="LCD.c" partName="LCD.c" path="D:/NIOS_II/DE2-70/production_tool/production_tool/NIOS2_Common_Lib/LCD.c" title="LCD.c" tooltip="production_tool/NIOS2_Common_Lib/LCD.c" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/production_tool/NIOS2_Common_Lib/LCD.c"/>
</editor>
<editor id="org.eclipse.cdt.ui.editor.CEditor" name="LED.c" partName="LED.c" path="D:/NIOS_II/DE2-70/production_tool/production_tool/NIOS2_Common_Lib/LED.c" title="LED.c" tooltip="production_tool/NIOS2_Common_Lib/LED.c" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/production_tool/NIOS2_Common_Lib/LED.c"/>
</editor>
<editor id="org.eclipse.cdt.ui.editor.CEditor" name="FatFileSystem.h" partName="FatFileSystem.h" path="D:/NIOS_II/DE2-70/production_tool/production_tool/NIOS2_Common_Lib/FatFileSystem.h" title="FatFileSystem.h" tooltip="production_tool/NIOS2_Common_Lib/FatFileSystem.h" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/production_tool/NIOS2_Common_Lib/FatFileSystem.h"/>
</editor>
<editor id="org.eclipse.cdt.ui.editor.CEditor" name="debug.c" partName="debug.c" path="D:/NIOS_II/DE2-70/production_tool/production_tool/debug.c" title="debug.c" tooltip="production_tool/debug.c" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/production_tool/debug.c"/>
</editor>
<editor id="org.eclipse.cdt.ui.editor.CEditor" name="SDCardDriver.h" partName="SDCardDriver.h" path="D:/NIOS_II/DE2-70/production_tool/production_tool/NIOS2_Common_Lib/SDCardDriver.h" title="SDCardDriver.h" tooltip="production_tool/NIOS2_Common_Lib/SDCardDriver.h" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/production_tool/NIOS2_Common_Lib/SDCardDriver.h"/>
</editor>
<editor id="org.eclipse.cdt.ui.editor.CEditor" name="SDCardDriver.c" partName="SDCardDriver.c" path="D:/NIOS_II/DE2-70/production_tool/production_tool/NIOS2_Common_Lib/SDCardDriver.c" title="SDCardDriver.c" tooltip="production_tool/NIOS2_Common_Lib/SDCardDriver.c" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/production_tool/NIOS2_Common_Lib/SDCardDriver.c"/>
</editor>
<editor id="org.eclipse.cdt.ui.editor.CEditor" name="FatFileSystem.c" partName="FatFileSystem.c" path="D:/NIOS_II/DE2-70/production_tool/production_tool/NIOS2_Common_Lib/FatFileSystem.c" title="FatFileSystem.c" tooltip="production_tool/NIOS2_Common_Lib/FatFileSystem.c" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/production_tool/NIOS2_Common_Lib/FatFileSystem.c"/>
</editor>
<editor id="org.eclipse.cdt.ui.editor.CEditor" name="debug.h" partName="debug.h" path="D:/NIOS_II/DE2-70/production_tool/production_tool/debug.h" title="debug.h" tooltip="production_tool/debug.h" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/production_tool/debug.h"/>
</editor>
<editor id="org.eclipse.cdt.ui.editor.CEditor" name="FatInternal.h" partName="FatInternal.h" path="D:/NIOS_II/DE2-70/production_tool/production_tool/NIOS2_Common_Lib/FatInternal.h" title="FatInternal.h" tooltip="production_tool/NIOS2_Common_Lib/FatInternal.h" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/production_tool/NIOS2_Common_Lib/FatInternal.h"/>
</editor>
<editor id="org.eclipse.cdt.ui.editor.CEditor" name="altera_avalon_lcd_16207.c" partName="altera_avalon_lcd_16207.c" path="C:/altera/71/quartus/sopc_builder/components/altera_avalon_lcd_16207/HAL/src/altera_avalon_lcd_16207.c" title="altera_avalon_lcd_16207.c" tooltip="production_tool_syslib/Device Drivers [Sopc Builder]/altera_avalon_lcd_16207/HAL/src/altera_avalon_lcd_16207.c" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/production_tool_syslib/Device Drivers [Sopc Builder]/altera_avalon_lcd_16207/HAL/src/altera_avalon_lcd_16207.c"/>
</editor>
<editor id="org.eclipse.cdt.ui.editor.CEditor" name="altera_avalon_lcd_16207_fd.c" partName="altera_avalon_lcd_16207_fd.c" path="C:/altera/71/quartus/sopc_builder/components/altera_avalon_lcd_16207/HAL/src/altera_avalon_lcd_16207_fd.c" title="altera_avalon_lcd_16207_fd.c" tooltip="production_tool_syslib/Device Drivers [Sopc Builder]/altera_avalon_lcd_16207/HAL/src/altera_avalon_lcd_16207_fd.c" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/production_tool_syslib/Device Drivers [Sopc Builder]/altera_avalon_lcd_16207/HAL/src/altera_avalon_lcd_16207_fd.c"/>
</editor>
<editor id="org.eclipse.cdt.ui.editor.CEditor" name="Uart.h" partName="Uart.h" path="D:/NIOS_II/DE2-70/production_tool/production_tool/NIOS2_Common_Lib/Uart.h" title="Uart.h" tooltip="production_tool/NIOS2_Common_Lib/Uart.h" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/production_tool/NIOS2_Common_Lib/Uart.h"/>
</editor>
<editor id="org.eclipse.cdt.ui.editor.CEditor" name="Uart.c" partName="Uart.c" path="D:/NIOS_II/DE2-70/production_tool/production_tool/NIOS2_Common_Lib/Uart.c" title="Uart.c" tooltip="production_tool/NIOS2_Common_Lib/Uart.c" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/production_tool/NIOS2_Common_Lib/Uart.c"/>
</editor>
<editor id="org.eclipse.cdt.ui.editor.CEditor" name="flash.c" partName="flash.c" path="D:/NIOS_II/DE2-70/production_tool/production_tool/NIOS2_Common_Lib/flash.c" title="flash.c" tooltip="production_tool/NIOS2_Common_Lib/flash.c" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/production_tool/NIOS2_Common_Lib/flash.c"/>
</editor>
</editors>
<views>
<view id="com.altera.nj.ui.Nios2CView" partName="Nios II C/C++ Projects">
<viewState horizontalPosition="0" verticalPosition="0">
<selection/>
<customFilters userDefinedPatternsEnabled="false">
<xmlDefinedFilters>
<child filterId="com.altera.nj.ui.Nios2CView.ObjectFilter" isEnabled="false"/>
<child filterId="com.altera.nj.ui.Nios2CView.ArchiveFilter" isEnabled="false"/>
<child filterId="com.altera.nj.ui.Nios2CView.NonCProjectsFilter" isEnabled="false"/>
<child filterId="com.altera.nj.ui.Nios2CView_patternFilterId_.*" isEnabled="true"/>
<child filterId="com.altera.nj.ui.Nios2CView.ClosedProjectFilter" isEnabled="false"/>
<child filterId="com.altera.nj.ui.Nios2CView.SharedFilter" isEnabled="false"/>
<child filterId="com.altera.nj.ui.Nios2CView.ExecutableFilter" isEnabled="false"/>
<child filterId="com.altera.nj.ui.Nios2CView.NonCElementFilter" isEnabled="false"/>
</xmlDefinedFilters>
</customFilters>
</viewState>
</view>
<view id="org.eclipse.cdt.make.ui.views.MakeView" partName="Make Targets">
<viewState/>
</view>
<view id="org.eclipse.ui.views.ContentOutline" partName="Outline">
<viewState/>
</view>
<view id="org.eclipse.ui.console.ConsoleView" partName="Console">
<viewState/>
</view>
<view id="org.eclipse.ui.views.PropertySheet" partName="Properties">
<viewState/>
</view>
<view id="org.eclipse.ui.views.ProblemView" partName="Problems">
<viewState columnWidth0="908" columnWidth1="81" columnWidth2="156" columnWidth3="66" columnWidth4="0" horizontalPosition="0" verticalPosition="0">
<columnOrder columnOrderIndex="0"/>
<columnOrder columnOrderIndex="1"/>
<columnOrder columnOrderIndex="2"/>
<columnOrder columnOrderIndex="3"/>
<columnOrder columnOrderIndex="4"/>
</viewState>
</view>
</views>
<perspectives activePart="com.altera.nj.ui.Nios2CView" activePerspective="com.altera.nj.ui.CPerspective">
<perspective editorAreaVisible="1" fixed="0" version="0.016">
<descriptor class="com.altera.nj.ui.Nios2CPerspectiveFactory" id="com.altera.nj.ui.CPerspective" label="Nios II C/C++"/>
<alwaysOnActionSet id="com.altera.nj.doc.user.NiosIIDocumentation"/>
<alwaysOnActionSet id="com.altera.nj.launch.NiosIIToolsMenuActionSet"/>
<alwaysOnActionSet id="com.altera.nj.ui.actionSet"/>
<alwaysOnActionSet id="org.eclipse.ui.cheatsheets.actionSet"/>
<alwaysOnActionSet id="org.eclipse.search.searchActionSet"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.openExternalFile"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.annotationNavigation"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.navigation"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.convertLineDelimitersTo"/>
<alwaysOnActionSet id="org.eclipse.ui.externaltools.ExternalToolsSet"/>
<alwaysOnActionSet id="org.eclipse.ui.actionSet.keyBindings"/>
<alwaysOnActionSet id="org.eclipse.ui.WorkingSetActionSet"/>
<alwaysOnActionSet id="org.eclipse.update.ui.softwareUpdates"/>
<alwaysOnActionSet id="org.eclipse.cdt.ui.SearchActionSet"/>
<alwaysOnActionSet id="org.eclipse.cdt.ui.CElementCreationActionSet"/>
<alwaysOnActionSet id="org.eclipse.ui.NavigateActionSet"/>
<alwaysOnActionSet id="org.eclipse.debug.ui.launchActionSet"/>
<show_view_action id="org.eclipse.ui.console.ConsoleView"/>
<show_view_action id="org.eclipse.search.ui.views.SearchView"/>
<show_view_action id="org.eclipse.ui.views.ContentOutline"/>
<show_view_action id="org.eclipse.ui.views.ProblemView"/>
<show_view_action id="com.altera.nj.ui.Nios2CView"/>
<show_view_action id="org.eclipse.ui.views.ResourceNavigator"/>
<show_view_action id="org.eclipse.ui.views.PropertySheet"/>
<show_view_action id="org.eclipse.pde.runtime.LogView"/>
<show_view_action id="com.altera.ide.chac.views.ChacView"/>
<new_wizard_action id="com.altera.nj.ui.wizards.ManagedNJWizard"/>
<new_wizard_action id="com.altera.nj.ui.wizards.ManagedSDKCWizard"/>
<new_wizard_action id="com.altera.nj.ui.wizards.NJDIYWizard"/>
<new_wizard_action id="com.altera.nj.ui.wizards.ManagedLibWizard"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.NewSourceFolderCreationWizard"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.NewSourceFileCreationWizard"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.NewHeaderFileCreationWizard"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.NewClassCreationWizard"/>
<perspective_action id="org.eclipse.debug.ui.DebugPerspective"/>
<perspective_action id="org.eclipse.team.ui.TeamSynchronizingPerspective"/>
<perspective_action id="com.altera.ide.gprof.ui.GprofPerspective"/>
<view id="com.altera.nj.ui.Nios2CView"/>
<view id="org.eclipse.ui.views.ProblemView"/>
<view id="org.eclipse.ui.console.ConsoleView"/>
<view id="org.eclipse.ui.views.PropertySheet"/>
<view id="org.eclipse.ui.views.ContentOutline"/>
<view id="org.eclipse.cdt.make.ui.views.MakeView"/>
<layout>
<mainWindow>
<info folder="true" part="topLeft">
<folder activePageID="com.altera.nj.ui.Nios2CView" appearance="2" expanded="2">
<page content="com.altera.nj.ui.Nios2CView" label="Nios II C/C++ Projects"/>
<page content="org.eclipse.ui.views.BookmarkView" label="LabelNotFound"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
</presentation>
</folder>
</info>
<info folder="true" part="org.eclipse.ui.internal.ViewStack@e2b07b" ratio="0.74950296" ratioLeft="754" ratioRight="252" relationship="2" relative="topLeft">
<folder appearance="2" expanded="2">
<page content="org.eclipse.help.ui.HelpView" label="LabelNotFound"/>
<page content="org.eclipse.ui.internal.introview" label="LabelNotFound"/>
<page content="org.eclipse.ui.cheatsheets.views.CheatSheetView" label="LabelNotFound"/>
<page content="org.eclipse.search.ui.views.SearchView" label="LabelNotFound"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory"/>
</folder>
</info>
<info part="org.eclipse.ui.editorss" ratio="0.23599052" ratioLeft="299" ratioRight="968" relationship="2" relative="topLeft"/>
<info folder="true" part="bottom" ratio="0.68933177" ratioLeft="588" ratioRight="265" relationship="4" relative="org.eclipse.ui.editorss">
<folder activePageID="org.eclipse.ui.console.ConsoleView" appearance="2" expanded="2">
<page content="org.eclipse.ui.views.ProblemView" label="Problems"/>
<page content="org.eclipse.ui.console.ConsoleView" label="Console"/>
<page content="org.eclipse.ui.views.PropertySheet" label="Properties"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
<part id="1"/>
<part id="2"/>
</presentation>
</folder>
</info>
<info folder="true" part="topRight" ratio="0.8601583" ratioLeft="652" ratioRight="106" relationship="2" relative="org.eclipse.ui.editorss">
<folder activePageID="org.eclipse.ui.views.ContentOutline" appearance="2" expanded="2">
<page content="org.eclipse.ui.views.ContentOutline" label="Outline"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
</presentation>
</folder>
</info>
<info folder="true" part="org.eclipse.ui.internal.ViewStack@144e858" ratio="0.5" ratioLeft="266" ratioRight="266" relationship="4" relative="topRight">
<folder activePageID="org.eclipse.cdt.make.ui.views.MakeView" appearance="2" expanded="2">
<page content="org.eclipse.cdt.make.ui.views.MakeView" label="Make Targets"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
</presentation>
</folder>
</info>
</mainWindow>
</layout>
</perspective>
</perspectives>
<workingSets/>
<navigationHistory>
<editors>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/production_tool/main.c"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/production_tool/NIOS2_Common_Lib/SDCardDriver.c"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/production_tool/NIOS2_Common_Lib/FatFileSystem.c"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/production_tool/NIOS2_Common_Lib/LCD.c"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/production_tool/NIOS2_Common_Lib/LED.c"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/production_tool_syslib/Debug/system_description/system.h"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/production_tool/main.c"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/production_tool/NIOS2_Common_Lib/LCD.h"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/production_tool/NIOS2_Common_Lib/LCD.c"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/production_tool_syslib/Device Drivers [Sopc Builder]/altera_avalon_lcd_16207/HAL/src/altera_avalon_lcd_16207.c"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/production_tool_syslib/Device Drivers [Sopc Builder]/altera_avalon_lcd_16207/HAL/src/altera_avalon_lcd_16207_fd.c"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/production_tool/NIOS2_Common_Lib/my_includes.h"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/production_tool/NIOS2_Common_Lib/Uart.h"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/production_tool/NIOS2_Common_Lib/LCD.c"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/production_tool/NIOS2_Common_Lib/Uart.c"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/production_tool/NIOS2_Common_Lib/flash.c"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/production_tool/main.c"/>
</editors>
<item historyLabel="main.c" index="0">
<position info="not_deleted" x="1034" y="0"/>
</item>
<item historyLabel="FatFileSystem.c" index="2">
<position info="not_deleted" x="1208" y="0"/>
</item>
<item historyLabel="SDCardDriver.c" index="1">
<position info="not_deleted" x="1297" y="0"/>
</item>
<item historyLabel="main.c" index="0">
<position info="not_deleted" x="1774" y="0"/>
</item>
<item historyLabel="LCD.c" index="3">
<position/>
</item>
<item historyLabel="main.c" index="0">
<position info="not_deleted" x="1774" y="0"/>
</item>
<item historyLabel="LED.c" index="4">
<position info="not_deleted" x="598" y="0"/>
</item>
<item historyLabel="system.h" index="5">
<position info="not_deleted" x="7298" y="16"/>
</item>
<item historyLabel="LCD.c" index="3">
<position info="not_deleted" x="1420" y="0"/>
</item>
<item historyLabel="LED.c" index="4">
<position info="not_deleted" x="598" y="0"/>
</item>
<item historyLabel="system.h" index="5">
<position info="not_deleted" x="7298" y="16"/>
</item>
<item historyLabel="main.c" index="0">
<position info="not_deleted" x="2014" y="0"/>
</item>
<item historyLabel="system.h" index="5">
<position info="not_deleted" x="13135" y="10"/>
</item>
<item historyLabel="main.c" index="0">
<position info="not_deleted" x="2014" y="0"/>
</item>
<item historyLabel="system.h" index="5">
<position info="not_deleted" x="13135" y="10"/>
</item>
<item historyLabel="main.c" index="6">
<position/>
</item>
<item historyLabel="system.h" index="5">
<position/>
</item>
<item historyLabel="main.c" index="6">
<position info="not_deleted" x="1727" y="0"/>
</item>
<item historyLabel="system.h" index="5">
<position info="not_deleted" x="12906" y="8"/>
</item>
<item historyLabel="main.c" index="6">
<position info="not_deleted" x="1727" y="0"/>
</item>
<item historyLabel="system.h" index="5">
<position info="not_deleted" x="12906" y="13"/>
</item>
<item historyLabel="main.c" index="6">
<position info="not_deleted" x="1691" y="0"/>
</item>
<item historyLabel="system.h" index="5">
<position info="not_deleted" x="12920" y="7"/>
</item>
<item historyLabel="main.c" index="6">
<position info="not_deleted" x="1691" y="0"/>
</item>
<item historyLabel="system.h" index="5">
<position info="not_deleted" x="12920" y="7"/>
</item>
<item historyLabel="LCD.h" index="7">
<position/>
</item>
<item historyLabel="LCD.c" index="8">
<position/>
</item>
<item historyLabel="altera_avalon_lcd_16207.c" index="9">
<position/>
</item>
<item historyLabel="altera_avalon_lcd_16207_fd.c" index="10">
<position/>
</item>
<item historyLabel="system.h" index="5">
<position info="not_deleted" x="6028" y="9"/>
</item>
<item historyLabel="main.c" index="6">
<position info="not_deleted" x="2399" y="0"/>
</item>
<item historyLabel="my_includes.h" index="11">
<position/>
</item>
<item historyLabel="main.c" index="6">
<position info="not_deleted" x="2478" y="0"/>
</item>
<item historyLabel="Uart.h" index="12">
<position/>
</item>
<item historyLabel="main.c" index="6">
<position info="not_deleted" x="2478" y="0"/>
</item>
<item historyLabel="system.h" index="5">
<position info="not_deleted" x="6028" y="9"/>
</item>
<item historyLabel="LCD.c" index="8">
<position/>
</item>
<item historyLabel="main.c" index="6">
<position info="not_deleted" x="2792" y="0"/>
</item>
<item historyLabel="LCD.c" index="13">
<position/>
</item>
<item historyLabel="main.c" index="6">
<position info="not_deleted" x="534" y="0"/>
</item>
<item historyLabel="LCD.c" index="13">
<position info="not_deleted" x="1288" y="4"/>
</item>
<item historyLabel="main.c" index="6">
<position info="not_deleted" x="534" y="0"/>
</item>
<item historyLabel="Uart.c" index="14">
<position/>
</item>
<item historyLabel="main.c" index="6">
<position info="not_deleted" x="487" y="0"/>
</item>
<item historyLabel="flash.c" index="15">
<position/>
</item>
<item historyLabel="main.c" index="6">
<position info="not_deleted" x="3941" y="0"/>
</item>
<item historyLabel="flash.c" index="15">
<position info="not_deleted" x="95" y="0"/>
</item>
<item historyLabel="main.c" index="6">
<position info="not_deleted" x="3903" y="0"/>
</item>
<item historyLabel="flash.c" index="15">
<position info="not_deleted" x="95" y="0"/>
</item>
<item active="true" historyLabel="main.c" index="16">
<position/>
</item>
</navigationHistory>
<stickyState/>
<input factoryID="org.eclipse.ui.internal.model.ResourceFactory" path="/" type="8"/>
</page>
<workbenchWindowAdvisor/>
<actionBarAdvisor/>
<trimLayout>
<trimArea IMemento.internal.id="128">
<trimItem IMemento.internal.id="org.eclipse.ui.internal.WorkbenchWindow.topBar"/>
</trimArea>
<trimArea IMemento.internal.id="1024">
<trimItem IMemento.internal.id="org.eclise.ui.internal.FastViewBar"/>
<trimItem IMemento.internal.id="org.eclipse.jface.action.StatusLineManager"/>
<trimItem IMemento.internal.id="org.eclipse.ui.internal.progress.ProgressRegion"/>
</trimArea>
</trimLayout>
</window>
<mruList>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="flash.c" tooltip="production_tool/NIOS2_Common_Lib/flash.c">
<persistable path="/production_tool/NIOS2_Common_Lib/flash.c"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="Uart.c" tooltip="production_tool/NIOS2_Common_Lib/Uart.c">
<persistable path="/production_tool/NIOS2_Common_Lib/Uart.c"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="Uart.h" tooltip="production_tool/NIOS2_Common_Lib/Uart.h">
<persistable path="/production_tool/NIOS2_Common_Lib/Uart.h"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="altera_avalon_lcd_16207_fd.c" tooltip="production_tool_syslib/Device Drivers [Sopc Builder]/altera_avalon_lcd_16207/HAL/src/altera_avalon_lcd_16207_fd.c">
<persistable path="/production_tool_syslib/Device Drivers [Sopc Builder]/altera_avalon_lcd_16207/HAL/src/altera_avalon_lcd_16207_fd.c"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="altera_avalon_lcd_16207.c" tooltip="production_tool_syslib/Device Drivers [Sopc Builder]/altera_avalon_lcd_16207/HAL/src/altera_avalon_lcd_16207.c">
<persistable path="/production_tool_syslib/Device Drivers [Sopc Builder]/altera_avalon_lcd_16207/HAL/src/altera_avalon_lcd_16207.c"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="FatInternal.h" tooltip="production_tool/NIOS2_Common_Lib/FatInternal.h">
<persistable path="/production_tool/NIOS2_Common_Lib/FatInternal.h"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="debug.h" tooltip="production_tool/debug.h">
<persistable path="/production_tool/debug.h"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="FatFileSystem.c" tooltip="production_tool/NIOS2_Common_Lib/FatFileSystem.c">
<persistable path="/production_tool/NIOS2_Common_Lib/FatFileSystem.c"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="SDCardDriver.c" tooltip="production_tool/NIOS2_Common_Lib/SDCardDriver.c">
<persistable path="/production_tool/NIOS2_Common_Lib/SDCardDriver.c"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="SDCardDriver.h" tooltip="production_tool/NIOS2_Common_Lib/SDCardDriver.h">
<persistable path="/production_tool/NIOS2_Common_Lib/SDCardDriver.h"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="debug.c" tooltip="production_tool/debug.c">
<persistable path="/production_tool/debug.c"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="FatFileSystem.h" tooltip="production_tool/NIOS2_Common_Lib/FatFileSystem.h">
<persistable path="/production_tool/NIOS2_Common_Lib/FatFileSystem.h"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="system.h" tooltip="production_tool_syslib/Debug/system_description/system.h">
<persistable path="/production_tool_syslib/Debug/system_description/system.h"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="LED.c" tooltip="production_tool/NIOS2_Common_Lib/LED.c">
<persistable path="/production_tool/NIOS2_Common_Lib/LED.c"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" name="LCD.c" tooltip="production_tool/NIOS2_Common_Lib/LCD.c">
<persistable path="/production_tool/NIOS2_Common_Lib/LCD.c"/>
</file>
</mruList>
</workbench>